BIO_COPY_DATA(9)

NAME
bio_copy_data - copy contents of data buffers from one chain of bios to another

SYNOPSIS

void bio_copy_data(struct bio * dst, struct bio * src);

ARGUMENTS

dst
    destination bio list

src
    source bio list

DESCRIPTION

If src and dst are single bios, bi_next must be NULL - otherwise, treats src and dst as linked lists of bios.

Stops when it reaches the end of either src or dst - that is, copies min(src->bi_size, dst->bi_size) bytes (or the equivalent for lists of bios).

COPYRIGHT